package a.i.b.a.c.b.b;

import a.f.b.j;
import a.i.b.a.c.b.al;
import a.i.b.a.c.b.e;
import com.tencent.matrix.trace.core.AppMethodBeat;

public final class c$b implements c {
    public static final c$b BgX = new c$b();

    static {
        AppMethodBeat.i(119378);
        AppMethodBeat.o(119378);
    }

    private c$b() {
    }

    public final boolean a(e eVar, al alVar) {
        AppMethodBeat.i(119377);
        j.p(eVar, "classDescriptor");
        j.p(alVar, "functionDescriptor");
        if (alVar.dYn().j(d.eaj())) {
            AppMethodBeat.o(119377);
            return false;
        }
        AppMethodBeat.o(119377);
        return true;
    }
}
